Summary: A collection of GTK+ widgets useful for audio applications
Name:          phat
Version:       0.4.1
Release:       6%{?dist}
License:       GPLv2+
Group:         System Environment/Libraries
URL:           http://phat.berlios.de/
Source0:       http://download.berlios.de/%{name}/%{name}-%{version}.tar.gz
# Remove unused variables - to be submitted upstream
Patch0:        phat-unused-but-set-variable.patch
Patch1:        phat-fix-fsf-address.patch

BuildRequires: gtk2-devel 
BuildRequires: libgnomecanvas-devel

%description
PHAT is a collection of GTK+ widgets geared toward pro-audio apps. The
goal is to eliminate duplication of effort and provide some
standardization (well, at least for GTK+ apps).

%package devel
Summary:       Header files for PHAT 
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files and additional libraries used for developing applications
with the PHAT Audio Toolkit.

%package docs
Summary:       Documentation for PHAT 
Group:         Development/Libraries
Requires:      gtk-doc

%description docs
Documentation for the PHAT Audio Toolkit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --enable-debug --disable-static
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

rm %{buildroot}%{_libdir}/libphat.*a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/phat*
%{_libdir}/libphat.so.*
%{_datadir}/%{name}

%files devel
%{_libdir}/libphat.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}

%files docs
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Tue Nov 29 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-6
- Remove unnecessary build requires for doc

* Sat Nov 05 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-5
- Rebuild for libpng 1.5
- Remove clean and unnecessary BuildRoot tag and file tag macros

* Sun Jul 24 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-4
- correct spelling

* Sat Jul 23 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-3
- correct spelling

* Sat Jul 23 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-2
- correct gtk-doc Requires and macros, removed static libraries
- adjusted description and soname mask

* Thu Jul 21 2011 Brendan Jones  <brendan.jones.it@gmail.com> 0.4.1-1
- initial build, seeded from CCRMA phat-0.4.1-1.fc14.ccrma.src.rpm
